Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.dd
Class TProcessEvents.Generate.Enum

    java.lang.Object
      org.apache.xmlbeans.StringEnumAbstractBase
          org.apache.ode.bpel.dd.TProcessEvents.Generate.Enum

All Implemented Interfaces:
  java.io.Serializable

Enclosing interface:
  TProcessEvents.Generate

    public static final class TProcessEvents.Generate.Enum

extends org.apache.xmlbeans.StringEnumAbstractBase

Enumeration value class for org.apache.ode.bpel.dd.TProcessEvents$Generate. These enum values can be used as follows:

     enum.toString(); // returns the string value of the enum
     enum.intValue(); // returns an int value, useful for switches
     // e.g., case Enum.INT_ALL
     Enum.forString(s); // returns the enum value for a string
     Enum.forInt(i); // returns the enum value for an int

Enumeration objects are immutable singleton objects that can be compared using == object equality. They have no public constructor. See the constants defined within this class for all the valid values.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.xmlbeans.StringEnumAbstractBase
`org.apache.xmlbeans.StringEnumAbstractBase.Table`

Field Summary
`static org.apache.xmlbeans.StringEnumAbstractBase.Table` | `table`

Method Summary
`static TProcessEvents.Generate.Enum` | `forInt(int i)` Returns the enum value corresponding to an int, or null if none.
`static TProcessEvents.Generate.Enum` | `forString(java.lang.String s)` Returns the enum value for a string, or null if none.

Methods inherited from class org.apache.xmlbeans.StringEnumAbstractBase
`hashCode, intValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### table

    public static final org.apache.xmlbeans.StringEnumAbstractBase.Table table

Method Detail

### forString

    public static TProcessEvents.Generate.Enum forString(java.lang.String s)

  Returns the enum value for a string, or null if none.

### forInt

    public static TProcessEvents.Generate.Enum forInt(int i)

  Returns the enum value corresponding to an int, or null if none.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD